package me.icymint.libra.sage.core.dialect.query;

public class LikeQueryCondition extends QueryCondition {

	private final ConstQueryVar cv;
	private final QueryVar v;

	public LikeQueryCondition(QueryVar v, ConstQueryVar cv) {
		super(false);
		this.v = v;
		this.cv = cv;
	}

	@Override
	public String getText() {
		return v.getText() + " LIKE " + cv.getText();
	}

}
