package me.icymint.libra.sage.core.result;

/**
 * 所有结果处理类的父类。
 * 
 * @author Daniel
 * @datetime 2012-11-12上午11:03:35
 * 
 * @param <T>
 */
public abstract class AbstractResultHandler<T> implements ResultHandler<T> {
	private final int offset;

	protected AbstractResultHandler(int offset) {
		if (offset < 1)
			offset = 1;
		this.offset = offset;
	}

	@Override
	public int getOffset() {
		return offset;
	}
}
