package me.icymint.libra.sage.model.operator;

import me.icymint.libra.sage.model.object.SqlObject;

/**
 * 封装了一个Sql对象数组的类，用于管理这个数组。
 * 
 * @author Daniel
 * 
 * @param <T>
 */
public class ManagerObjects<T extends SqlObject> extends
		ManagerArray<T, String> {

	public ManagerObjects(Class<T> cls) {
		this(null, cls);
	}

	public ManagerObjects(T[] objs, Class<T> cls) {
		super(objs, cls);
	}

	@Override
	protected String getName(T t) {
		return t.getName();
	}

	@Override
	protected boolean isEqual(String v1, String v2) {
		return v1.toLowerCase().equals(v2.toLowerCase());
	}
}