package me.icymint.libra.sage.core.query;

import java.sql.SQLException;

import me.icymint.libra.sage.core.result.ResultHandler;

/**
 * 查询类。提供通用字段的查询。SQL语句提供对象是String
 * 
 * @author Daniel
 * @datetime 2013-1-4上午11:17:37
 * 
 * @param <T>
 *            查询结果
 */
public class Query<T> extends AbstractQuery<T, String> {

	public Query(String sql, ResultHandler<T> rh, int maxRows) {
		this(sql, rh, maxRows, null);
	}

	public Query(String sql, ResultHandler<T> rh, int maxRows, int[] types,
			Object... param) {
		super(sql, rh, maxRows, types, param);
	}

	/**
	 * 获取SQL执行语句。
	 */
	@Override
	protected String sql(String sql) throws SQLException {
		return sql;
	}

}
